REM
REM Description: This script displays InMem attributes of 
REM              the partitions of COSTS table in the 
REM              example schema SH.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
col partition_name format a15

select partition_name, inmemory_priority, inmemory_distribute, inmemory_compression
from user_tab_partitions
where table_name = 'COSTS'
order by 1
/
