REM
REM Description: This script shows the execution plan a query
REM              with wtwo tables one of which is in InMemory
REM              store. It's COSTS table in example schema SH.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
select /*+ gather_plan_statistics */ prod_name, time_id, avg(unit_price) avg_cost
from costs c, products p
where p.prod_id = c.prod_id
group by  prod_name, time_id
having avg(unit_price) > 1000
order by  prod_name, time_id
/
select * from
table(dbms_xplan.display_cursor(format=>'TYPICAL +allstats'))
/
