REM
REM Description: This script adds InMem attributes to 
REM              the partitions of COSTS table in the 
REM              example schema SH.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM              
alter table costs modify partition COSTS_Q4_2003 inmemory memcompress basic  priority high
/
alter table costs modify partition COSTS_Q3_2003 inmemory memcompress basic  priority high
/
alter table costs modify partition COSTS_Q2_2003 inmemory memcompress basic  priority high
/
alter table costs modify partition COSTS_Q1_2003 inmemory memcompress for query priority high
/
alter table costs modify partition COSTS_Q1_2002 inmemory memcompress for capacity low priority high
/
alter table costs modify partition COSTS_Q2_2002 inmemory memcompress for capacity low priority high
/
alter table costs modify partition COSTS_Q3_2002 inmemory memcompress for capacity low priority high
/
alter table costs modify partition COSTS_Q4_2002 inmemory memcompress for capacity low priority high
/
alter table costs modify partition COSTS_Q1_2001 inmemory memcompress for capacity high priority high
/
alter table costs modify partition COSTS_Q2_2001 inmemory memcompress for capacity high priority high
/
alter table costs modify partition COSTS_Q3_2001 inmemory memcompress for capacity high priority high
/
alter table costs modify partition COSTS_Q4_2001 inmemory memcompress for capacity high priority high
/
alter table costs modify partition COSTS_Q1_2000 inmemory memcompress for capacity high priority medium
/
alter table costs modify partition COSTS_Q2_2000 inmemory memcompress for capacity high priority medium
/
alter table costs modify partition COSTS_Q3_2000 inmemory memcompress for capacity high priority medium
/
alter table costs modify partition COSTS_Q4_2000 inmemory memcompress for capacity high priority medium
/
alter table costs modify partition COSTS_Q1_1999 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q2_1999 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q3_1999 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q4_1999 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q1_1998 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q2_1998 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q3_1998 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_Q4_1998 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_H1_1997 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_H1_1997 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_1996 inmemory memcompress for capacity high priority none
/
alter table costs modify partition COSTS_1995 inmemory memcompress for capacity high priority none
/
