REM
REM Description: This script selects all the rows from the
REM              the partitions of COSTS table in the 
REM              example schema SH. This forces loading into
REM              InMemory store.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
select 'select /*+ full(p) */ count(*) '|| partition_name ||' from costs partition ('||partition_name||') p;'
from user_tab_partitions
where table_name = 'COSTS'
order by partition_name
/
