REM
REM Description: This script sets the InMemory attribute
REM              for the resource manager consumer group.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
begin
-- dbms_resource_manager.clear_pending_area();
dbms_resource_manager.create_pending_area();
dbms_resource_manager.set_consumer_group_mapping (
   attribute      => 'ORACLE_FUNCTION',
   value          => 'INMEMORY',
   consumer_group => 'DEFAULT_CONSUMER_GROUP'
 );
dbms_resource_manager.submit_pending_area();
end;
/
